Skip to main content
GET
Get a specific block by ID

Authorizations

Authorization
string
header
required

OAuth2 Authorization Code flow

Path Parameters

id
string
required

Block ID

Query Parameters

fields
string

Comma-separated optional response fields. Supported values: instructions, outputExample, expectedOutput, prompt_id. Fields not requested are omitted.

Response

Block found

object
string
required

Object type

Example:

"page"

id
string
required

Unique identifier

Example:

"p_abc123"

createdAt
string<date-time>
required

Creation timestamp

Example:

"2024-01-15T10:30:00.000Z"

updatedAt
string<date-time>
required

Last update timestamp

Example:

"2024-01-15T14:45:00.000Z"

parent
object
required

Parent location of the block

hasChildren
boolean
required
status
enum<string> | null
required

Block status

Available options:
pending,
running,
evaluating,
writing,
error,
done,
insufficient_data,
canceled
type
enum<string>
required

Block type

Available options:
audio,
bookmark,
breadcrumb,
bulleted_list_item,
callout,
chart_area,
chart_bar,
chart_line,
chart_pie,
child_database,
child_page,
code,
markdown,
column,
column_list,
data_view,
divider,
embed,
equation,
file,
flex,
graph_visualization,
heading_1,
heading_2,
heading_3,
heatmap,
image,
inline_database_block,
link_preview,
map,
mention,
numbered_list_item,
paragraph,
pdf,
quote,
synced_block,
tab,
table,
table_of_contents,
table_row,
tabs,
agent,
to_do,
toggle,
video,
slide
Example:

"paragraph"

createdBy
Created by · object

Principal who created this object

Example:
updatedBy
Updated by · object

Principal who last updated this object

Example:
order
number
content
object

Type-specific block content. Structure depends on the block type.

markdown
string
children
array
outputExample

Example output for markdown blocks

structuredOutput
object

OpenAI structured output schema for slide agents

expectedOutput

Expected output for markdown blocks

agentFileId
string | null

Source PPTX file ID for this individual slide block

previewFileId
string | null

Preview PPTX file ID for this slide block

title
string
instructions
string
evaluations
object[]
prompt_id
string
resources
object[]

External resources attached to this block